Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class QueueSizesWithTypesCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
          umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizesCondition
              umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizesWithTypesCondition

All Implemented Interfaces:
  Condition

    public class QueueSizesWithTypesCondition

extends QueueSizesCondition

Represents a condition on queue sizes possibly for specific call types. This is similar to `QueueSizesCondition`, except that the compared queue sizes are determined using an index and a call type. If the given call type is non-negative, the compared size is the number of calls in the identified queue of the identified type. Otherwise, the total number of calls in the identified queue is used.

Constructor Summary
`QueueSizesWithTypesCondition(CallCenter cc, int q1, int q2, int k1, int k2, Relationship rel)` Constructs a new condition on the queue size for call center `cc`, using queue indices `q1` and `q2`, the call type indices `k1` and `k2`, and the relationshiop `rel`.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`int` | `getFirstType()` Returns the call type index for the first compared waiting queue.
`int` | `getSecondType()` Returns the call type index for the second compared waiting queue.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizesCondition
`getCallCenter`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
`getFirstIndex, getRelationship, getSecondIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSizesWithTypesCondition

    public QueueSizesWithTypesCondition(CallCenter cc,
                                        int q1,
                                        int q2,
                                        int k1,
                                        int k2,
                                        Relationship rel)

  Constructs a new condition on the queue size for call center `cc`, using queue indices `q1` and `q2`, the call type indices `k1` and `k2`, and the relationshiop `rel`.

  Parameters:
    `cc` - the call center model.
    `q1` - the index of the first waiting queue.
    `q2` - the index of the second waiting queue.
    `k1` - the index of the first call type.
    `k2` - the index of the second call type.
    `rel` - the relationship used to perform the comparison.

Method Detail

### getFirstType

    public int getFirstType()

  Returns the call type index for the first compared waiting queue.

### getSecondType

    public int getSecondType()

  Returns the call type index for the second compared waiting queue.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Overrides:
    `applies` in class `QueueSizesCondition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.